Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-3552

No Moodle 1.9 to 2.x conversion code for Collapsed Topics

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 2.0.5, 2.1.4, 2.2, 2.2.3
    • Fix Version/s: None
    • Component/s: Course format: Topcoll
    • Labels:
      None
    • Affected Branches:
      MOODLE_20_STABLE, MOODLE_21_STABLE, MOODLE_22_STABLE

      Description

      Since CONTRIB-3378 Collapsed Topics has had the ability to save the state of its layout in the database. This has meant the creation of bespoke course creation / restore code. This was implemented as far back as the version for Moodle 1.9. Therefore because of the change of backup / restore mechanism between 1.9 / 2.x there needs to be some conversion code as described on 'http://docs.moodle.org/dev/Backup_1.9_conversion_for_developers'.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              gb2048 Gareth J Barnard
              Reporter:
              gb2048 Gareth J Barnard
              Participants:
              Component watchers:
              Gareth J Barnard
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: